diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
index 99485095..058ce82f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/test_cast_put.py
@@ -11,25 +11,21 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import ClientTestBaseClass
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as cast_utils
 
 
-class CastsPutTestCase(BaseTestGenerator):
-    """ This class will fetch the cast node added under database node. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for cast node.
-        ('Check Cast Node', dict(url='/browser/cast/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create cast."""
-        super(CastsPutTestCase, self).setUp()
+@pytest.mark.skip_databases(['gpdb'])
+class TestCastsPut(ClientTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup):
         self.default_db = self.server["db"]
         self.database_info = parent_node_dict['database'][-1]
         self.db_name = self.database_info['db_name']
@@ -39,8 +35,12 @@ class CastsPutTestCase(BaseTestGenerator):
         self.cast_id = cast_utils.create_cast(self.server, self.source_type,
                                               self.target_type)
 
-    def runTest(self):
-        """ This function will update added cast."""
+    def test_put(self):
+        """When a cast exits
+         When updating the cast,
+         It gets updates the cast in the database
+          And return 200 status"""
+        url = '/browser/cast/obj/'
         self.server_id = self.database_info["server_id"]
         self.db_id = self.database_info['db_id']
         db_con = database_utils.connect_database(self,
@@ -63,13 +63,21 @@ class CastsPutTestCase(BaseTestGenerator):
             "id": self.cast_id
         }
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(
                 self.db_id) +
             '/' + str(self.cast_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+        put_response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(put_response)
+        self.assert_node_json(json_response,
+                              'cast',
+                              'pgadmin.node.cast',
+                              False,
+                              'icon-cast',
+                              'character->cidr')
 
     def tearDown(self):
         """This function disconnect the test database and drop added cast."""
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/__init__.py
index ed456343..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class EventTriggerGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/event_trigger_test_base_class.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/event_trigger_test_base_class.py
new file mode 100644
index 00000000..db294991
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/event_trigger_test_base_class.py
@@ -0,0 +1,48 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2018, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+from pgadmin.utils.tests_helper import ClientTestBaseClass
+from pgadmin.browser.server_groups.servers.databases.tests import \
+    utils as database_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from regression.python_test_utils import test_utils as utils
+from regression import parent_node_dict
+from regression import trigger_funcs_utils
+
+
+class EventTriggerTestBaseClass(ClientTestBaseClass):
+    def setUp(self, context_of_tests):
+        self.schema_data = context_of_tests['server_information']
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.schema_name = self.schema_data['schema_name']
+        self.schema_id = self.schema_data['schema_id']
+        self.extension_name = "postgres_fdw"
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.db_user = self.server["username"]
+        server_version = 0
+        self.function_info = trigger_funcs_utils.create_trigger_function(
+            self.server, self.db_name, self.schema_name, self.func_name,
+            server_version)
+
+    def tearDown(self):
+        # Disconnect database
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
+
+    def _is_schema_and_database_available(self):
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database.")
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema.")
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
index a6639075..a7323029 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_add.py
@@ -10,60 +10,36 @@
 import json
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.browser.server_groups.servers.databases.event_triggers\
+    .tests.event_trigger_test_base_class import EventTriggerTestBaseClass
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 
 
-class EventTriggerAddTestCase(BaseTestGenerator):
-    """ This class will add new event trigger under test schema. """
-    scenarios = [
-        # Fetching default URL for event trigger node.
-        ('Fetch Event Trigger Node URL',
-         dict(url='/browser/event_trigger/obj/'))
-    ]
-
-    def setUp(self):
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.extension_name = "postgres_fdw"
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v93},
+                                      "Event triggers are not supported "
+                                      "by PG9.2 "
+                                      "and PPAS9.2 and below.")
+class TestEventTriggerAdd(EventTriggerTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup, context_of_tests):
         self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:8]
-        self.db_user = self.server["username"]
-        server_con = server_utils.connect_server(self, self.server_id)
-        if not server_con["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        server_version = 0
-        if "type" in server_con["data"]:
-            if server_con["data"]["version"] < 90300:
-                message = "Event triggers are not supported by PG9.2 " \
-                          "and PPAS9.2 and below."
-                self.skipTest(message)
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, self.func_name,
-            server_version)
+        super(TestEventTriggerAdd, self).setUp(context_of_tests)
+
+    def test_add_trigger(self):
+        """ When a trigger function exists
+         When schema exist
+         When backend receives a valid request to create a new trigger
+         It creates the trigger
+         And returns success 200"""
+        url = '/browser/event_trigger/obj/'
+
+        self._is_schema_and_database_available()
 
-    def runTest(self):
-        """ This function will add event trigger under test database. """
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database.")
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
-        if not schema_response:
-            raise Exception("Could not find the schema.")
         func_name = self.function_info[1]
         func_response = trigger_funcs_utils.verify_trigger_function(
             self.server,
@@ -79,13 +55,19 @@ class EventTriggerAddTestCase(BaseTestGenerator):
             "name": "event_trigger_add_%s" % (str(uuid.uuid4())[1:8]),
             "providers": []
         }
+
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/', data=json.dumps(data),
             content_type='html/json')
-        self.assertAlmostEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = self.response_to_json(response)
+
+        self.assert_node_json(json_response,
+                              'event_trigger',
+                              'pgadmin.node.event_trigger',
+                              False,
+                              'icon-event_trigger',
+                              data['name'])
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
index c0b92913..05def378 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_delete.py
@@ -9,66 +9,43 @@
 
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.browser.server_groups.servers.databases.event_triggers\
+    .tests.event_trigger_test_base_class import EventTriggerTestBaseClass
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
 
 
-class EventTriggerDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added event trigger under test database. """
-    scenarios = [
-        # Fetching default URL for event trigger  node.
-        ('Fetch Event Trigger Node URL',
-         dict(url='/browser/event_trigger/obj/'))
-    ]
-
-    def setUp(self):
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.extension_name = "postgres_fdw"
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.db_user = self.server["username"]
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v93},
+                                      "Event triggers are not supported "
+                                      "by PG9.2 "
+                                      "and PPAS9.2 and below.")
+class TestEventTriggerDelete(EventTriggerTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup, context_of_tests):
         self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:8]
+        super(TestEventTriggerDelete, self).setUp(context_of_tests)
+
         self.trigger_name = "event_trigger_delete_%s" % (
             str(uuid.uuid4())[1:8])
-        server_con = server_utils.connect_server(self, self.server_id)
-        if not server_con["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        server_version = 0
-        if "type" in server_con["data"]:
-            if server_con["data"]["version"] < 90300:
-                message = "Event triggers are not supported by PG9.2 " \
-                          "and PPAS9.2 and below."
-                self.skipTest(message)
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, self.func_name,
-            server_version)
         self.event_trigger_id = event_trigger_utils.create_event_trigger(
             self.server, self.db_name, self.schema_name, self.func_name,
             self.trigger_name)
 
-    def runTest(self):
-        """ This function will delete event trigger under test database. """
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database.")
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
-        if not schema_response:
-            raise Exception("Could not find the schema.")
+    def test_delete(self):
+        """ When a trigger exists
+         When schema exist
+         When backend receives a request to remove a trigger
+         It removes the trigger
+         And returns success 200"""
+        url = '/browser/event_trigger/obj/'
+
+        self._is_schema_and_database_available()
+
         func_name = self.function_info[1]
         func_response = trigger_funcs_utils.verify_trigger_function(
             self.server,
@@ -81,14 +58,19 @@ class EventTriggerDeleteTestCase(BaseTestGenerator):
             self.trigger_name)
         if not trigger_response:
             raise Exception("Could not find event trigger.")
+
         del_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.event_trigger_id),
             follow_redirects=True)
-        self.assertEquals(del_response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        del_response.status_code | should.be.equal.to(200)
+        json_response = self.response_to_json(del_response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Event trigger dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
index c263a6b0..6eb1f14e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_get.py
@@ -9,66 +9,42 @@
 
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.browser.server_groups.servers.databases.event_triggers \
+    .tests.event_trigger_test_base_class import EventTriggerTestBaseClass
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
 
 
-class EventTriggerGetTestCase(BaseTestGenerator):
-    """ This class will fetch added event trigger under test database. """
-    scenarios = [
-        # Fetching default URL for event trigger  node.
-        ('Fetch Event Trigger Node URL',
-         dict(url='/browser/event_trigger/obj/'))
-    ]
-
-    def setUp(self):
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.extension_name = "postgres_fdw"
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.db_user = self.server["username"]
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v93},
+                                      "Event triggers are not supported "
+                                      "by PG9.2 "
+                                      "and PPAS9.2 and below.")
+class TestEventTriggerGet(EventTriggerTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup, context_of_tests):
         self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:8]
-        self.trigger_name = "event_trigger_get_%s" % (str(uuid.uuid4())[1:8])
-        server_con = server_utils.connect_server(self, self.server_id)
-        if not server_con["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        server_version = 0
-        if "type" in server_con["data"]:
-            if server_con["data"]["version"] < 90300:
-                message = "Event triggers are not supported by PG9.2 " \
-                          "and PPAS9.2 and below."
-                self.skipTest(message)
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, self.func_name,
-            server_version)
+        super(TestEventTriggerGet, self).setUp(context_of_tests)
+
+        self.trigger_name = "event_trigger_get_%s" % (
+            str(uuid.uuid4())[1:8])
         self.event_trigger_id = event_trigger_utils.create_event_trigger(
             self.server, self.db_name, self.schema_name, self.func_name,
             self.trigger_name)
 
-    def runTest(self):
-        """ This function will fetch added event trigger under test database.
-        """
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database.")
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
-        if not schema_response:
-            raise Exception("Could not find the schema.")
+    def test_get(self):
+        """ When a trigger exists
+         When schema exist
+         When backend receives a request to retrieve a trigger information
+         It returns trigger information"""
+        url = '/browser/event_trigger/obj/'
+
+        self._is_schema_and_database_available()
+
         func_name = self.function_info[1]
         func_response = trigger_funcs_utils.verify_trigger_function(
             self.server,
@@ -76,14 +52,38 @@ class EventTriggerGetTestCase(BaseTestGenerator):
             func_name)
         if not func_response:
             raise Exception("Could not find the trigger function.")
+
         response = self.tester.get(
-            self.url +
+            url +
             str(utils.SERVER_GROUP) + '/' + str(self.server_id) + '/' +
             str(self.db_id) + '/' + str(self.event_trigger_id),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = self.response_to_json(response)
+
+        json_response | should.have.key('schemaoid')
+        json_response | should.have.key('eventfunname')
+        json_response | should.have.key('oid')
+        json_response | should.have.key('eventfuncoid')
+        json_response | should.have.key('xmin')
+
+        (json_response | should.have.key('comment') >
+         should.be.equal.to(None))
+        (json_response | should.have.key('name') >
+         should.be.equal.to(self.trigger_name))
+        (json_response | should.have.key('language') >
+         should.be.equal.to('plpgsql'))
+        (json_response | should.have.key('when') >
+         should.be.empty)
+        (json_response | should.have.key('enabled') >
+         should.be.equal.to('O'))
+        (json_response | should.have.key('eventowner') >
+         should.be.equal.to(self.db_user))
+        (json_response | should.have.key('eventname') >
+         should.be.equal.to('DDL_COMMAND_END'))
+        (json_response | should.have.key('source') >
+         should.be.equal.to(' BEGIN NULL; END; '))
+        (json_response | should.have.key('seclabels') >
+         should.be.empty)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
index 32fbfb8c..1fc4cf8f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/test_event_trigger_put.py
@@ -10,65 +10,42 @@
 import json
 import uuid
 
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.browser.server_groups.servers.databases.event_triggers\
+    .tests.event_trigger_test_base_class import EventTriggerTestBaseClass
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression import trigger_funcs_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as event_trigger_utils
 
 
-class EventTriggerPutTestCase(BaseTestGenerator):
-    """ This class will fetch added event trigger under test database. """
-    scenarios = [
-        # Fetching default URL for event trigger  node.
-        ('Fetch Event Trigger Node URL',
-         dict(url='/browser/event_trigger/obj/'))
-    ]
-
-    def setUp(self):
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.extension_name = "postgres_fdw"
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.db_user = self.server["username"]
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v93},
+                                      "Event triggers are not supported "
+                                      "by PG9.2 "
+                                      "and PPAS9.2 and below.")
+class TestEventTriggerPut(EventTriggerTestBaseClass):
+    @pytest.fixture(autouse=True)
+    def setUp(self, the_real_setup, context_of_tests):
         self.func_name = "trigger_func_%s" % str(uuid.uuid4())[1:8]
+        super(TestEventTriggerPut, self).setUp(context_of_tests)
+
         self.trigger_name = "event_trigger_put_%s" % (str(uuid.uuid4())[1:8])
-        server_con = server_utils.connect_server(self, self.server_id)
-        if not server_con["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        server_version = 0
-        if "type" in server_con["data"]:
-            if server_con["data"]["version"] < 90300:
-                message = "Event triggers are not supported by PG9.2 " \
-                          "and PPAS9.2 and below."
-                self.skipTest(message)
-        self.function_info = trigger_funcs_utils.create_trigger_function(
-            self.server, self.db_name, self.schema_name, self.func_name,
-            server_version)
         self.event_trigger_id = event_trigger_utils.create_event_trigger(
             self.server, self.db_name, self.schema_name, self.func_name,
             self.trigger_name)
 
-    def runTest(self):
-        """ This function will update event trigger under test database. """
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database.")
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
-        if not schema_response:
-            raise Exception("Could not find the schema.")
+    def test_put(self):
+        """ When a trigger exists
+         When schema exist
+         When backend receives a valid request to update a trigger
+         It updates the trigger information
+         And returns success 200"""
+        url = '/browser/event_trigger/obj/'
+
+        self._is_schema_and_database_available()
+
         func_name = self.function_info[1]
         func_response = trigger_funcs_utils.verify_trigger_function(
             self.server,
@@ -85,13 +62,18 @@ class EventTriggerPutTestCase(BaseTestGenerator):
             "id": self.event_trigger_id
         }
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.event_trigger_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        put_response.status_code | should.be.equal.to(200)
+
+        json_response = self.response_to_json(put_response)
+        self.assert_node_json(json_response,
+                              'event_trigger',
+                              'pgadmin.node.event_trigger',
+                              False,
+                              'icon-event_trigger',
+                              self.trigger_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/__init__.py
index 3900c557..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ExtensionGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return []
